Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/EvalScore/FrmEvalScore.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/EvalScore/FrmEvalScore.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/EvalScore/FrmEvalScore.cs	(revision 484)
@@ -0,0 +1,424 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Diagnostics;
+using System.Threading;
+using System.Threading.Tasks;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*------------------------ 評価点数登録画面 ----------------------------------*
+//  2020/06/01  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmEvalScore : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+
+        /// <summary>
+        /// グリッド行数
+        /// </summary>
+        private const int s_GridMaxLine = 15;
+
+        #region 表示グリッドカラム
+        /// <summary>
+        /// 表示グリッドカラム
+        /// </summary>
+        private enum GridColumn
+        {
+            ConstrCode = 0,
+            No,
+            ConstrName,
+            PersonName,
+            Score,
+        }
+        #endregion
+
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 初期時フラグ
+        /// </summary>
+        //private bool m_bInitFlg = true;
+
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        public FrmEvalScore()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmEvalScore()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 初期フォームロード
+        /// <summary>
+        /// 初期フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEvalScore_Load(object sender, EventArgs e)
+        {
+
+            // フラグ初期化
+            m_bChengeAns = false;
+        }
+        #endregion
+
+        #region フォームロード処理
+        /// <summary>
+        /// フォームロード処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private async void FrmEvalScore_Shown(object sender, EventArgs e)
+        {
+            await Task.Delay(100);
+            // フォームロード時の処理
+            InitFormLoad();
+        }
+        #endregion
+
+        #region Entryキーでの移動処理
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEvalScore_KeyDown(object sender, KeyEventArgs e)
+        {
+            try
+            {
+                //AltかCtrlキーが押されている時は無視する
+                if (e.Alt || e.Control) return;
+
+                //Enterキーが押されているか確認
+                if (e.KeyCode == Keys.Enter)
+                {
+                    //あたかもTabキーが押されたかのようにする。
+                    // Shiftが押されている時は前のコントロールへフォーカスを移動
+                    this.ProcessTabKey(!e.Shift);
+
+                    e.Handled = true;
+                    //.NET Framework 2.0以降
+                    e.SuppressKeyPress = true;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 入力開始処理
+        /// <summary>
+        /// 入力開始処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void textBox1_Enter(object sender, EventArgs e)
+        {
+            textBox1.SelectAll();
+        }
+        #endregion
+
+        #region 入力終了後処理
+        /// <summary>
+        /// 入力終了後処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void textBox1_Validated(object sender, EventArgs e)
+        {
+            // 入力後処理
+            ValidatedProc();
+        }
+        #endregion
+
+        #region ×ボタン押下処理
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEvalScore_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいでしょうか？", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタンクリック
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 登録ボタン押下
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // データ登録処理
+                if (!DataEntryProcess()) return;
+
+                // 変更フラグクリア
+                m_bChengeAns = false;
+
+                CommonMotions.EntryEndMessage("期限登録データ");
+
+                // データ表示
+                DspGridData();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 削除ボタン押下
+        /// <summary>
+        /// 削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            IOMTerm tmDB = new IOMTerm();
+            try
+            {
+                if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+
+                CommonMotions.RemoveEndMessage("期限登録データ");
+
+                // 変更フラグクリア
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                tmDB.close();
+                tmDB = null;
+            }
+        }
+        #endregion
+
+        #region 営業期コンボボックス変更
+        /// <summary>
+        /// 営業期変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        {
+            SetControlEvent(false);
+
+            SetcmbDivision();
+            SetcmbOrders();
+
+            // データ表示
+            DspGridData();
+
+            SetControlEvent(true);
+        }
+        #endregion
+
+        #region 発注者区分コンボボックス変更
+        /// <summary>
+        /// 発注者区分コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDivision_TextChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                SetControlEvent(false);
+
+                // 発注者のセット
+                SetcmbOrders();
+
+                // データ表示
+                DspGridData();
+
+                SetControlEvent(true);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 発注者コンボボックス変更
+        /// <summary>
+        /// 発注者コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbConstructionPerson_TextChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                SetControlEvent(false);
+
+                // データ表示
+                DspGridData();
+
+                SetControlEvent(true);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ヘルプボタン
+        private FrmHelp helpfrm = null;
+        /// <summary>
+        /// ヘルプボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnHelp_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (helpfrm != null) return;
+
+                helpfrm = new FrmHelp();
+                helpfrm.FormClosed += new FormClosedEventHandler(FrmHelp_FormClosed);
+
+                helpfrm.ProcessNo = (int)ClsExcute.MaintenanceExecuteNo.EvalScore;
+                helpfrm.Show(this);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                helpfrm.Dispose();
+                helpfrm = null;
+            }
+        }
+        #endregion
+
+        #region ヘルプフォームクローズ
+        /// <summary>
+        /// ヘルプフォームクローズ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmHelp_FormClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                helpfrm.Dispose();
+                helpfrm = null;
+                GC.Collect();
+                this.Activate();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッドダブルクリック
+        /// <summary>
+        /// グリッドダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dataGridViewEX1_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            // グリッド選択データセット
+            SetSelectData();
+        }
+        #endregion
+    }
+}
\ No newline at end of file
